package com.steerinfo.meterwork.meterworkcheckfirstactual.model;

import java.math.BigDecimal;

public class RailwayFirstCountCheckNum {
    private BigDecimal countCheckNum;
    private BigDecimal countSumCheckUsed;
    private BigDecimal countAvgCheckUsed;
    private String actualFirstNo;
    private String meterMode;
    private String predictionNo;
    private String RailwayNo;
    private String conveyanceType;
    private String matterNo;
    private String matterName;
    private BigDecimal meterWeight;
    private String weightType;
    private String forwardingUnitName;
    private String receivingUintName;
    private String meterTypeName;
    private String theoryAmount;
    private String createManName;
    private String createTime;
    private String baseSpotName;
    private String uploadFlag;
    private String isPreScale;
    private String valueFlag;

    public BigDecimal getCountCheckNum() {
        return countCheckNum;
    }

    public void setCountCheckNum(BigDecimal countCheckNum) {
        this.countCheckNum = countCheckNum;
    }

    public BigDecimal getCountSumCheckUsed() {
        return countSumCheckUsed;
    }

    public void setCountSumCheckUsed(BigDecimal countSumCheckUsed) {
        this.countSumCheckUsed = countSumCheckUsed;
    }

    public BigDecimal getCountAvgCheckUsed() {
        return countAvgCheckUsed;
    }

    public void setCountAvgCheckUsed(BigDecimal countAvgCheckUsed) {
        this.countAvgCheckUsed = countAvgCheckUsed;
    }

    public String getActualFirstNo() {
        return actualFirstNo;
    }

    public void setActualFirstNo(String actualFirstNo) {
        this.actualFirstNo = actualFirstNo;
    }

    public String getMeterMode() {
        return meterMode;
    }

    public void setMeterMode(String meterMode) {
        this.meterMode = meterMode;
    }

    public String getPredictionNo() {
        return predictionNo;
    }

    public void setPredictionNo(String predictionNo) {
        this.predictionNo = predictionNo;
    }

    public String getRailwayNo() {
        return RailwayNo;
    }

    public void setRailwayNo(String railwayNo) {
        RailwayNo = railwayNo;
    }

    public String getConveyanceType() {
        return conveyanceType;
    }

    public void setConveyanceType(String conveyanceType) {
        this.conveyanceType = conveyanceType;
    }

    public String getMatterNo() {
        return matterNo;
    }

    public void setMatterNo(String matterNo) {
        this.matterNo = matterNo;
    }

    public String getMatterName() {
        return matterName;
    }

    public void setMatterName(String matterName) {
        this.matterName = matterName;
    }

    public BigDecimal getMeterWeight() {
        return meterWeight;
    }

    public void setMeterWeight(BigDecimal meterWeight) {
        this.meterWeight = meterWeight;
    }

    public String getWeightType() {
        return weightType;
    }

    public void setWeightType(String weightType) {
        this.weightType = weightType;
    }

    public String getForwardingUnitName() {
        return forwardingUnitName;
    }

    public void setForwardingUnitName(String forwardingUnitName) {
        this.forwardingUnitName = forwardingUnitName;
    }

    public String getReceivingUintName() {
        return receivingUintName;
    }

    public void setReceivingUintName(String receivingUintName) {
        this.receivingUintName = receivingUintName;
    }

    public String getMeterTypeName() {
        return meterTypeName;
    }

    public void setMeterTypeName(String meterTypeName) {
        this.meterTypeName = meterTypeName;
    }

    public String getTheoryAmount() {
        return theoryAmount;
    }

    public void setTheoryAmount(String theoryAmount) {
        this.theoryAmount = theoryAmount;
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getBaseSpotName() {
        return baseSpotName;
    }

    public void setBaseSpotName(String baseSpotName) {
        this.baseSpotName = baseSpotName;
    }

    public String getIsPreScale() {
        return isPreScale;
    }

    public void setIsPreScale(String isPreScale) {
        this.isPreScale = isPreScale;
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag;
    }
}
